/*---------------------------------------------------------------------------\
| Project:	Generic LV2 PIC18F458 CAN node firmware
|
| File:		interrupts.h
|
| Descr.:	Includes for the serial.c module
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 06/01/2002 | Created.
\---------------------------------------------------------------------------*/

#ifndef _INTS_H	// Don't include more than once (last line = #endif)
#define _INTS_H

//------------------------------------------------------------------------
// Typedefs
//------------------------------------------------------------------------

enum INTERRUPT_TYPE
{
	LOW_PRIORITY_INT = 0,
	HIGH_PRIORITY_INT
};

//------------------------------------------------------------------------
// #defines
//------------------------------------------------------------------------


//------------------------------------------------------------------------
// Global function declarations
//------------------------------------------------------------------------

void InitializeInterrupts (void);


#define	EnablePrioritizedInts()		RCONbits.IPEN = 1
#define	DisablePrioritizedInts()	RCONbits.IPEN = 0

#define	EnableHighPriorityInts()	INTCONbits.GIEH = 1
#define	DisableHighPriorityInts()	INTCONbits.GIEH = 0
#define EnableLowPriorityInts()		INTCONbits.GIEL = 1
#define DisableLowPriorityInts()	INTCONbits.GIEL = 0


#define Timer2PrioritySetting()		(IPR1bits.TMR2IP)
#define Timer2InterruptPending()	(PIR1bits.TMR2IF)

#define	SerialTxPrioritySetting()	(IPR1bits.TXIP)
#define SerialTxInterruptPending()	(PIR1bits.TXIF)

#define	SerialRxPrioritySetting()	(IPR1bits.RCIP)
#define SerialRxInterruptPending()	(PIR1bits.RCIF)


//------------------------------------------------------------------------
// Global variable declarations (extern)
//------------------------------------------------------------------------

// None


#endif			// _INTS_H
